//
//  ViewController.swift
//  GoogleMaterialIconFont
//
//  Created by kitasuke on 09/23/2015.
//  Copyright (c) 2015 kitasuke. All rights reserved.
//

import UIKit
import GoogleMaterialIconFont

class ViewController: UIViewController, UICollectionViewDelegate, UICollectionViewDataSource {
    @IBOutlet var collectionView: UICollectionView!
    let icons: [MaterialIconFont] = [
        .ThreeDRotation,
        .AcUnit,
        .AccessAlarm,
        .AccessAlarms,
        .AccessTime,
        .Accessibility,
        .Accessible,
        .AccountBalance,
        .AccountBalanceWallet,
        .AccountBox,
        .AccountCircle,
        .Adb,
        .Add,
        .AddAPhoto,
        .AddAlarm,
        .AddAlert,
        .AddBox,
        .AddCircle,
        .AddCircleOutline,
        .AddLocation,
        .AddShoppingCart,
        .AddToPhotos,
        .AddToQueue,
        .Adjust,
        .AirlineSeatFlat,
        .AirlineSeatFlatAngled,
        .AirlineSeatIndividualSuite,
        .AirlineSeatLegroomExtra,
        .AirlineSeatLegroomNormal,
        .AirlineSeatLegroomReduced,
        .AirlineSeatReclineExtra,
        .AirlineSeatReclineNormal,
        .AirplanemodeActive,
        .AirplanemodeInactive,
        .Airplay,
        .AirportShuttle,
        .Alarm,
        .AlarmAdd,
        .AlarmOff,
        .AlarmOn,
        .Album,
        .AllInclusive,
        .AllOut,
        .Android,
        .Announcement,
        .Apps,
        .Archive,
        .ArrowBack,
        .ArrowDownward,
        .ArrowDropDown,
        .ArrowDropDownCircle,
        .ArrowDropUp,
        .ArrowForward,
        .ArrowUpward,
        .ArtTrack,
        .AspectRatio,
        .Assessment,
        .Assignment,
        .AssignmentInd,
        .AssignmentLate,
        .AssignmentReturn,
        .AssignmentReturned,
        .AssignmentTurnedIn,
        .Assistant,
        .AssistantPhoto,
        .AttachFile,
        .AttachMoney,
        .Attachment,
        .Audiotrack,
        .Autorenew,
        .AvTimer,
        .Backspace,
        .Backup,
        .BatteryAlert,
        .BatteryChargingFull,
        .BatteryFull,
        .BatteryStd,
        .BatteryUnknown,
        .BeachAccess,
        .Beenhere,
        .Block,
        .Bluetooth,
        .BluetoothAudio,
        .BluetoothConnected,
        .BluetoothDisabled,
        .BluetoothSearching,
        .BlurCircular,
        .BlurLinear,
        .BlurOff,
        .BlurOn,
        .Book,
        .Bookmark,
        .BookmarkBorder,
        .BorderAll,
        .BorderBottom,
        .BorderClear,
        .BorderColor,
        .BorderHorizontal,
        .BorderInner,
        .BorderLeft,
        .BorderOuter,
        .BorderRight,
        .BorderStyle,
        .BorderTop,
        .BorderVertical,
        .BrandingWatermark,
        .Brightness1,
        .Brightness2,
        .Brightness3,
        .Brightness4,
        .Brightness5,
        .Brightness6,
        .Brightness7,
        .BrightnessAuto,
        .BrightnessHigh,
        .BrightnessLow,
        .BrightnessMedium,
        .BrokenImage,
        .Brush,
        .BubbleChart,
        .BugReport,
        .Build,
        .BurstMode,
        .Business,
        .BusinessCenter,
        .Cached,
        .Cake,
        .Call,
        .CallEnd,
        .CallMade,
        .CallMerge,
        .CallMissed,
        .CallMissedOutgoing,
        .CallReceived,
        .CallSplit,
        .CallToAction,
        .Camera,
        .CameraAlt,
        .CameraEnhance,
        .CameraFront,
        .CameraRear,
        .CameraRoll,
        .Cancel,
        .CardGiftcard,
        .CardMembership,
        .CardTravel,
        .Casino,
        .Cast,
        .CastConnected,
        .CenterFocusStrong,
        .CenterFocusWeak,
        .ChangeHistory,
        .Chat,
        .ChatBubble,
        .ChatBubbleOutline,
        .Check,
        .CheckBox,
        .CheckBoxOutlineBlank,
        .CheckCircle,
        .ChevronLeft,
        .ChevronRight,
        .ChildCare,
        .ChildFriendly,
        .ChromeReaderMode,
        .Class,
        .Clear,
        .ClearAll,
        .Close,
        .ClosedCaption,
        .Cloud,
        .CloudCircle,
        .CloudDone,
        .CloudDownload,
        .CloudOff,
        .CloudQueue,
        .CloudUpload,
        .Code,
        .Collections,
        .CollectionsBookmark,
        .ColorLens,
        .Colorize,
        .Comment,
        .Compare,
        .CompareArrows,
        .Computer,
        .ConfirmationNumber,
        .ContactMail,
        .ContactPhone,
        .Contacts,
        .ContentCopy,
        .ContentCut,
        .ContentPaste,
        .ControlPoint,
        .ControlPointDuplicate,
        .Copyright,
        .Create,
        .CreateNewFolder,
        .CreditCard,
        .Crop,
        .Crop169,
        .Crop32,
        .Crop54,
        .Crop75,
        .CropDin,
        .CropFree,
        .CropLandscape,
        .CropOriginal,
        .CropPortrait,
        .CropRotate,
        .CropSquare,
        .Dashboard,
        .DataUsage,
        .DateRange,
        .Dehaze,
        .Delete,
        .DeleteForever,
        .DeleteSweep,
        .Description,
        .DesktopMac,
        .DesktopWindows,
        .Details,
        .DeveloperBoard,
        .DeveloperMode,
        .DeviceHub,
        .Devices,
        .DevicesOther,
        .DialerSip,
        .Dialpad,
        .Directions,
        .DirectionsBike,
        .DirectionsBoat,
        .DirectionsBus,
        .DirectionsCar,
        .DirectionsRailway,
        .DirectionsRun,
        .DirectionsSubway,
        .DirectionsTransit,
        .DirectionsWalk,
        .DiscFull,
        .Dns,
        .DoNotDisturb,
        .DoNotDisturbAlt,
        .DoNotDisturbOff,
        .DoNotDisturbOn,
        .Dock,
        .Domain,
        .Done,
        .DoneAll,
        .DonutLarge,
        .DonutSmall,
        .Drafts,
        .DragHandle,
        .DriveEta,
        .Dvr,
        .Edit,
        .EditLocation,
        .Eject,
        .Email,
        .EnhancedEncryption,
        .Equalizer,
        .Error,
        .ErrorOutline,
        .EuroSymbol,
        .EvStation,
        .Event,
        .EventAvailable,
        .EventBusy,
        .EventNote,
        .EventSeat,
        .ExitToApp,
        .ExpandLess,
        .ExpandMore,
        .Explicit,
        .Explore,
        .Exposure,
        .ExposureNeg1,
        .ExposureNeg2,
        .ExposurePlus1,
        .ExposurePlus2,
        .ExposureZero,
        .Extension,
        .Face,
        .FastForward,
        .FastRewind,
        .Favorite,
        .FavoriteBorder,
        .FeaturedPlayList,
        .FeaturedVideo,
        .Feedback,
        .FiberDvr,
        .FiberManualRecord,
        .FiberNew,
        .FiberPin,
        .FiberSmartRecord,
        .FileDownload,
        .FileUpload,
        .Filter,
        .Filter1,
        .Filter2,
        .Filter3,
        .Filter4,
        .Filter5,
        .Filter6,
        .Filter7,
        .Filter8,
        .Filter9,
        .Filter9Plus,
        .FilterBAndW,
        .FilterCenterFocus,
        .FilterDrama,
        .FilterFrames,
        .FilterHdr,
        .FilterList,
        .FilterNone,
        .FilterTiltShift,
        .FilterVintage,
        .FindInPage,
        .FindReplace,
        .Fingerprint,
        .FirstPage,
        .FitnessCenter,
        .Flag,
        .Flare,
        .FlashAuto,
        .FlashOff,
        .FlashOn,
        .Flight,
        .FlightLand,
        .FlightTakeoff,
        .Flip,
        .FlipToBack,
        .FlipToFront,
        .Folder,
        .FolderOpen,
        .FolderShared,
        .FolderSpecial,
        .FontDownload,
        .FormatAlignCenter,
        .FormatAlignJustify,
        .FormatAlignLeft,
        .FormatAlignRight,
        .FormatBold,
        .FormatClear,
        .FormatColorFill,
        .FormatColorReset,
        .FormatColorText,
        .FormatIndentDecrease,
        .FormatIndentIncrease,
        .FormatItalic,
        .FormatLineSpacing,
        .FormatListBulleted,
        .FormatListNumbered,
        .FormatPaint,
        .FormatQuote,
        .FormatShapes,
        .FormatSize,
        .FormatStrikethrough,
        .FormatTextdirectionLToR,
        .FormatTextdirectionRToL,
        .FormatUnderlined,
        .Forum,
        .Forward,
        .Forward10,
        .Forward30,
        .Forward5,
        .FreeBreakfast,
        .Fullscreen,
        .FullscreenExit,
        .Functions,
        .GTranslate,
        .Gamepad,
        .Games,
        .Gavel,
        .Gesture,
        .GetApp,
        .Gif,
        .GolfCourse,
        .GpsFixed,
        .GpsNotFixed,
        .GpsOff,
        .Grade,
        .Gradient,
        .Grain,
        .GraphicEq,
        .GridOff,
        .GridOn,
        .Group,
        .GroupAdd,
        .GroupWork,
        .Hd,
        .HdrOff,
        .HdrOn,
        .HdrStrong,
        .HdrWeak,
        .Headset,
        .HeadsetMic,
        .Healing,
        .Hearing,
        .Help,
        .HelpOutline,
        .HighQuality,
        .Highlight,
        .HighlightOff,
        .History,
        .Home,
        .HotTub,
        .Hotel,
        .HourglassEmpty,
        .HourglassFull,
        .Http,
        .Https,
        .Image,
        .ImageAspectRatio,
        .ImportContacts,
        .ImportExport,
        .ImportantDevices,
        .Inbox,
        .IndeterminateCheckBox,
        .Info,
        .InfoOutline,
        .Input,
        .InsertChart,
        .InsertComment,
        .InsertDriveFile,
        .InsertEmoticon,
        .InsertInvitation,
        .InsertLink,
        .InsertPhoto,
        .InvertColors,
        .InvertColorsOff,
        .Iso,
        .Keyboard,
        .KeyboardArrowDown,
        .KeyboardArrowLeft,
        .KeyboardArrowRight,
        .KeyboardArrowUp,
        .KeyboardBackspace,
        .KeyboardCapslock,
        .KeyboardHide,
        .KeyboardReturn,
        .KeyboardTab,
        .KeyboardVoice,
        .Kitchen,
        .Label,
        .LabelOutline,
        .Landscape,
        .Language,
        .Laptop,
        .LaptopChromebook,
        .LaptopMac,
        .LaptopWindows,
        .LastPage,
        .Launch,
        .Layers,
        .LayersClear,
        .LeakAdd,
        .LeakRemove,
        .Lens,
        .LibraryAdd,
        .LibraryBooks,
        .LibraryMusic,
        .LightbulbOutline,
        .LineStyle,
        .LineWeight,
        .LinearScale,
        .Link,
        .LinkedCamera,
        .List,
        .LiveHelp,
        .LiveTv,
        .LocalActivity,
        .LocalAirport,
        .LocalAtm,
        .LocalBar,
        .LocalCafe,
        .LocalCarWash,
        .LocalConvenienceStore,
        .LocalDining,
        .LocalDrink,
        .LocalFlorist,
        .LocalGasStation,
        .LocalGroceryStore,
        .LocalHospital,
        .LocalHotel,
        .LocalLaundryService,
        .LocalLibrary,
        .LocalMall,
        .LocalMovies,
        .LocalOffer,
        .LocalParking,
        .LocalPharmacy,
        .LocalPhone,
        .LocalPizza,
        .LocalPlay,
        .LocalPostOffice,
        .LocalPrintshop,
        .LocalSee,
        .LocalShipping,
        .LocalTaxi,
        .LocationCity,
        .LocationDisabled,
        .LocationOff,
        .LocationOn,
        .LocationSearching,
        .Lock,
        .LockOpen,
        .LockOutline,
        .Looks,
        .Looks3,
        .Looks4,
        .Looks5,
        .Looks6,
        .LooksOne,
        .LooksTwo,
        .Loop,
        .Loupe,
        .LowPriority,
        .Loyalty,
        .Mail,
        .MailOutline,
        .Map,
        .Markunread,
        .MarkunreadMailbox,
        .Memory,
        .Menu,
        .MergeType,
        .Message,
        .Mic,
        .MicNone,
        .MicOff,
        .Mms,
        .ModeComment,
        .ModeEdit,
        .MonetizationOn,
        .MoneyOff,
        .MonochromePhotos,
        .Mood,
        .MoodBad,
        .More,
        .MoreHoriz,
        .MoreVert,
        .Motorcycle,
        .Mouse,
        .MoveToInbox,
        .Movie,
        .MovieCreation,
        .MovieFilter,
        .MultilineChart,
        .MusicNote,
        .MusicVideo,
        .MyLocation,
        .Nature,
        .NaturePeople,
        .NavigateBefore,
        .NavigateNext,
        .Navigation,
        .NearMe,
        .NetworkCell,
        .NetworkCheck,
        .NetworkLocked,
        .NetworkWifi,
        .NewReleases,
        .NextWeek,
        .Nfc,
        .NoEncryption,
        .NoSim,
        .NotInterested,
        .Note,
        .NoteAdd,
        .Notifications,
        .NotificationsActive,
        .NotificationsNone,
        .NotificationsOff,
        .NotificationsPaused,
        .OfflinePin,
        .OndemandVideo,
        .Opacity,
        .OpenInBrowser,
        .OpenInNew,
        .OpenWith,
        .Pages,
        .Pageview,
        .Palette,
        .PanTool,
        .Panorama,
        .PanoramaFishEye,
        .PanoramaHorizontal,
        .PanoramaVertical,
        .PanoramaWideAngle,
        .PartyMode,
        .Pause,
        .PauseCircleFilled,
        .PauseCircleOutline,
        .Payment,
        .People,
        .PeopleOutline,
        .PermCameraMic,
        .PermContactCalendar,
        .PermDataSetting,
        .PermDeviceInformation,
        .PermIdentity,
        .PermMedia,
        .PermPhoneMsg,
        .PermScanWifi,
        .Person,
        .PersonAdd,
        .PersonOutline,
        .PersonPin,
        .PersonPinCircle,
        .PersonalVideo,
        .Pets,
        .Phone,
        .PhoneAndroid,
        .PhoneBluetoothSpeaker,
        .PhoneForwarded,
        .PhoneInTalk,
        .PhoneIphone,
        .PhoneLocked,
        .PhoneMissed,
        .PhonePaused,
        .Phonelink,
        .PhonelinkErase,
        .PhonelinkLock,
        .PhonelinkOff,
        .PhonelinkRing,
        .PhonelinkSetup,
        .Photo,
        .PhotoAlbum,
        .PhotoCamera,
        .PhotoFilter,
        .PhotoLibrary,
        .PhotoSizeSelectActual,
        .PhotoSizeSelectLarge,
        .PhotoSizeSelectSmall,
        .PictureAsPdf,
        .PictureInPicture,
        .PictureInPictureAlt,
        .PieChart,
        .PieChartOutlined,
        .PinDrop,
        .Place,
        .PlayArrow,
        .PlayCircleFilled,
        .PlayCircleOutline,
        .PlayForWork,
        .PlaylistAdd,
        .PlaylistAddCheck,
        .PlaylistPlay,
        .PlusOne,
        .Poll,
        .Polymer,
        .Pool,
        .PortableWifiOff,
        .Portrait,
        .Power,
        .PowerInput,
        .PowerSettingsNew,
        .PregnantWoman,
        .PresentToAll,
        .Print,
        .PriorityHigh,
        .Public,
        .Publish,
        .QueryBuilder,
        .QuestionAnswer,
        .Queue,
        .QueueMusic,
        .QueuePlayNext,
        .Radio,
        .RadioButtonChecked,
        .RadioButtonUnchecked,
        .RateReview,
        .Receipt,
        .RecentActors,
        .RecordVoiceOver,
        .Redeem,
        .Redo,
        .Refresh,
        .Remove,
        .RemoveCircle,
        .RemoveCircleOutline,
        .RemoveFromQueue,
        .RemoveRedEye,
        .RemoveShoppingCart,
        .Reorder,
        .Repeat,
        .RepeatOne,
        .Replay,
        .Replay10,
        .Replay30,
        .Replay5,
        .Reply,
        .ReplyAll,
        .Report,
        .ReportProblem,
        .Restaurant,
        .RestaurantMenu,
        .Restore,
        .RestorePage,
        .RingVolume,
        .Room,
        .RoomService,
        .Rotate90DegreesCcw,
        .RotateLeft,
        .RotateRight,
        .RoundedCorner,
        .Router,
        .Rowing,
        .RssFeed,
        .RvHookup,
        .Satellite,
        .Save,
        .Scanner,
        .Schedule,
        .School,
        .ScreenLockLandscape,
        .ScreenLockPortrait,
        .ScreenLockRotation,
        .ScreenRotation,
        .ScreenShare,
        .SdCard,
        .SdStorage,
        .Search,
        .Security,
        .SelectAll,
        .Send,
        .SentimentDissatisfied,
        .SentimentNeutral,
        .SentimentSatisfied,
        .SentimentVeryDissatisfied,
        .SentimentVerySatisfied,
        .Settings,
        .SettingsApplications,
        .SettingsBackupRestore,
        .SettingsBluetooth,
        .SettingsBrightness,
        .SettingsCell,
        .SettingsEthernet,
        .SettingsInputAntenna,
        .SettingsInputComponent,
        .SettingsInputComposite,
        .SettingsInputHdmi,
        .SettingsInputSvideo,
        .SettingsOverscan,
        .SettingsPhone,
        .SettingsPower,
        .SettingsRemote,
        .SettingsSystemDaydream,
        .SettingsVoice,
        .Share,
        .Shop,
        .ShopTwo,
        .ShoppingBasket,
        .ShoppingCart,
        .ShortText,
        .ShowChart,
        .Shuffle,
        .SignalCellular4Bar,
        .SignalCellularConnectedNoInternet4Bar,
        .SignalCellularNoSim,
        .SignalCellularNull,
        .SignalCellularOff,
        .SignalWifi4Bar,
        .SignalWifi4BarLock,
        .SignalWifiOff,
        .SimCard,
        .SimCardAlert,
        .SkipNext,
        .SkipPrevious,
        .Slideshow,
        .SlowMotionVideo,
        .Smartphone,
        .SmokeFree,
        .SmokingRooms,
        .Sms,
        .SmsFailed,
        .Snooze,
        .Sort,
        .SortByAlpha,
        .Spa,
        .SpaceBar,
        .Speaker,
        .SpeakerGroup,
        .SpeakerNotes,
        .SpeakerNotesOff,
        .SpeakerPhone,
        .Spellcheck,
        .Star,
        .StarBorder,
        .StarHalf,
        .Stars,
        .StayCurrentLandscape,
        .StayCurrentPortrait,
        .StayPrimaryLandscape,
        .StayPrimaryPortrait,
        .Stop,
        .StopScreenShare,
        .Storage,
        .Store,
        .StoreMallDirectory,
        .Straighten,
        .Streetview,
        .StrikethroughS,
        .Style,
        .SubdirectoryArrowLeft,
        .SubdirectoryArrowRight,
        .Subject,
        .Subscriptions,
        .Subtitles,
        .Subway,
        .SupervisorAccount,
        .SurroundSound,
        .SwapCalls,
        .SwapHoriz,
        .SwapVert,
        .SwapVerticalCircle,
        .SwitchCamera,
        .SwitchVideo,
        .Sync,
        .SyncDisabled,
        .SyncProblem,
        .SystemUpdate,
        .SystemUpdateAlt,
        .Tab,
        .TabUnselected,
        .Tablet,
        .TabletAndroid,
        .TabletMac,
        .TagFaces,
        .TapAndPlay,
        .Terrain,
        .TextFields,
        .TextFormat,
        .Textsms,
        .Texture,
        .Theaters,
        .ThumbDown,
        .ThumbUp,
        .ThumbsUpDown,
        .TimeToLeave,
        .Timelapse,
        .Timeline,
        .Timer,
        .Timer10,
        .Timer3,
        .TimerOff,
        .Title,
        .Toc,
        .Today,
        .Toll,
        .Tonality,
        .TouchApp,
        .Toys,
        .TrackChanges,
        .Traffic,
        .Train,
        .Tram,
        .TransferWithinAStation,
        .Transform,
        .Translate,
        .TrendingDown,
        .TrendingFlat,
        .TrendingUp,
        .Tune,
        .TurnedIn,
        .TurnedInNot,
        .Tv,
        .Unarchive,
        .Undo,
        .UnfoldLess,
        .UnfoldMore,
        .Update,
        .Usb,
        .VerifiedUser,
        .VerticalAlignBottom,
        .VerticalAlignCenter,
        .VerticalAlignTop,
        .Vibration,
        .VideoCall,
        .VideoLabel,
        .VideoLibrary,
        .Videocam,
        .VideocamOff,
        .VideogameAsset,
        .ViewAgenda,
        .ViewArray,
        .ViewCarousel,
        .ViewColumn,
        .ViewComfy,
        .ViewCompact,
        .ViewDay,
        .ViewHeadline,
        .ViewList,
        .ViewModule,
        .ViewQuilt,
        .ViewStream,
        .ViewWeek,
        .Vignette,
        .Visibility,
        .VisibilityOff,
        .VoiceChat,
        .Voicemail,
        .VolumeDown,
        .VolumeMute,
        .VolumeOff,
        .VolumeUp,
        .VpnKey,
        .VpnLock,
        .Wallpaper,
        .Warning,
        .Watch,
        .WatchLater,
        .WbAuto,
        .WbCloudy,
        .WbIncandescent,
        .WbIridescent,
        .WbSunny,
        .Wc,
        .Web,
        .WebAsset,
        .Weekend,
        .Whatshot,
        .Widgets,
        .Wifi,
        .WifiLock,
        .WifiTethering,
        .Work,
        .WrapText,
        .YoutubeSearchedFor,
        .ZoomIn,
        .ZoomOut,
        .ZoomOutMap,
    ]

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func collectionView(collectionView: UICollectionView, numberOfItemsInSection section: Int) -> Int {
        return icons.count
    }
    
    func collectionView(collectionView: UICollectionView, cellForItemAtIndexPath indexPath: NSIndexPath) -> UICollectionViewCell {
        let cell = collectionView.dequeueReusableCellWithReuseIdentifier("Cell", forIndexPath: indexPath) as! CollectionViewCell
        cell.setup(icons[indexPath.row])
        return cell
    }
}

